org.osgi.framework.BundleException: Unable to resolve com.sun.jna [5](R 5.0): missing requirement [com.sun.jna [5](R 5.0)] osgi.native; (|(&(osgi.native.osname~=win32)(osgi.native.processor~=x86))(& ... ... ... ... (osgi.native.processor~=ppc))))]

Sonatype JIRA | Stuart McCulloch | 1 year ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Cannot run Sonatype Nexus Repository Manager 3.0 on Windows 2012

    Stack Overflow | 1 year ago | jersey-city-ninja
    org.osgi.framework.BundleException: Unable to resolve com.sun.jna [5](R 5.0): missing requirement [com.sun.jna [5](R 5.0)] osgi.native; (|(&(osgi.native.osname~=win32)(osgi.native.processor~=x86))(& ... ... ... ... (osgi.native.processor~=ppc))))]
  2. 0

    Unable to undeloy osgi if correct Activator is not specified

    GitHub | 3 years ago | wezell
    org.osgi.framework.BundleException: Unresolved constraint in bundle plugin-dotcms-actionlet-pushnow [7]: Unable to resolve 7.0: missing requirement [7.0] osgi.wiring.package; (&(osgi.wiring.package=com.dotcms.plugin.email.osgi)(version>=0.0.0))
  3. Speed up your debug routine!

    Automated exception search integrated into your IDE

  4. 0

    Java 8 issue with Pax Exam chapter10-recipe-simple

    GitHub | 2 years ago | deklanowski
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.ops4j.pax.exam [1]: Unable to resolve 1.0: missing requirement [1.0] osgi.wiring.package; (&(osgi.wiring.package=org.slf4j)(version>=1.5.0)) [caused by: Unable to resolve 5.0: missing requirement [5.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers)]
  5. 0

    Fuse blocked when profile is added

    GitHub | 3 years ago | dvirgiln
    org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.camel.camel-exec [216]: Unable to resolve 216.0: missing requirement [216.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.commons.io)(version>=1.4.0)(!(version>=2.0.0)))

  1. davidvanlaatum 2631 times, last 5 months ago
6 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Unable to resolve com.sun.jna [5](R 5.0): missing requirement [com.sun.jna [5](R 5.0)] osgi.native; (|(&(osgi.native.osname~=win32)(osgi.native.processor~=x86))(& ... ... ... ... (osgi.native.processor~=ppc))))]

    at org.apache.felix.framework.Felix.resolveBundleRevision()
  2. Apache Felix Framework
    FrameworkStartLevelImpl.run
    1. org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4111)
    2. org.apache.felix.framework.Felix.startBundle(Felix.java:2117)
    3. org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1371)
    4. org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)
    4 frames
  3. Java RT
    Thread.run
    1. java.lang.Thread.run(Unknown Source)
    1 frame